Bug 2757 - adding static routes can destroy default gw setting
adding static routes can destroy default gw setting
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
5.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-12 08:01 EDT by Ion Badulescu
Modified: 2014-03-16 22:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-19 21:25:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ion Badulescu 1999-05-12 08:01:53 EDT
It's pretty simple -- if one tries to add a static route,
the gateway for that route will overwrite the default
gateway in /etc/sysconfig/network, even though the default
gateway _is_ specified on the same netcfg screen.
Comment 1 Cristian Gafton 1999-07-29 03:14:59 EDT
assigned to notting
Cc: johnsonm
Comment 2 Nalin Dahyabhai 2000-01-19 21:25:59 EST
This is fixed in netcfg-2.24, which will be in the next release of Raw Hide.
Please reopen this bug if you continue to see this problem after upgrading.

Note You need to log in before you can comment on or make changes to this bug.